ALTER SESSION SET CURRENT_SCHEMA = TFGADMIN;

/*
-- Borrar las tablas creadas

DECLARE
   TYPE arrayType IS varray(24) OF VARCHAR2(25);
   table_name arrayType := arrayType (
     'App', 'AppBusinessArea', 'AppGeographicScope', 'ApprovalStatus', 'BusinessArea',
     'Category', 'Change', 'ChangeApproval', 'ChangeApprover', 'ChangeActionPlan',
     'ChangeActionPlanLne', 'ChangeAudit', 'ChangeAuditDetail', 'Criticality',
     'Department', 'DepartmentArea','ExecutionResult', 'GCAB', 'GeographicZone',
     'Infrastructure', 'Person', 'Rol', 'Substitution', 'SubstitutionReason', 'Technology',
     'ChangeGeographicScope'
   );
BEGIN
  FOR i IN 1..table_name.COUNT
  LOOP
    BEGIN
       EXECUTE IMMEDIATE 'DROP TABLE ' || table_name(i) || ' CASCADE CONSTRAINTS PURGE';
    EXCEPTION
       WHEN OTHERS THEN
          IF SQLCODE != -942 THEN
             RAISE;
          END IF;
    END;
  END LOOP;
END;
*/

-- Borrar todas las tablas cuyo propietario es TFGADMIN
BEGIN
  FOR i IN (SELECT TABLE_NAME FROM ALL_TABLES WHERE OWNER = 'TFGADMIN') LOOP
    EXECUTE IMMEDIATE 'DROP TABLE ' || i.TABLE_NAME || ' CASCADE CONSTRAINTS PURGE';
  END LOOP;
END;
