/*
CREATE OR REPLACE TRIGGER trg_insertApprover
AFTER INSERT ON ChangeApprover
FOR EACH ROW
BEGIN
  UPDATE ChangeApproval SET toApproval = toApproval + 1 WHERE changeID = :new.changeID;
END;


CREATE OR REPLACE TRIGGER trg_updateApprover
AFTER UPDATE ON ChangeApprover
FOR EACH ROW
DECLARE
  v_toApproval NUMBER(2);
  v_approved NUMBER(2);
  v_disapproved NUMBER(2);
BEGIN

  SELECT toApproval, approved, disapproved INTO v_toApproval, v_approved, v_disapproved
  FROM ChangeApproval WHERE changeID = :new.changeID; 

  IF :new.approved = 'Y' THEN
    v_approved := v_approved + 1;
  ELSE
    v_disapproved := v_disapproved + 1;
  END IF;

  UPDATE ChangeApproval SET approved = v_approved, disapproved = v_disapproved WHERE changeID = :new.changeID;

  IF v_approved + v_disapproved = v_toApproval + 1 THEN
    UPDATE Change
    SET approvalStatusID = CASE WHEN v_disapproved > 0 THEN 2 ELSE 1 END,
        approvalStatusTimeStamp = SYSDATE
    WHERE changeID = :new.changeID;
  END IF;

END;


CREATE OR REPLACE TRIGGER trg_updateApproval
AFTER UPDATE OF approved, disapproved ON ChangeApproval
FOR EACH ROW
BEGIN

  IF :new.approved  + :new.disapproved = :new.toApproval THEN
    UPDATE Change
    SET approvalStatusID = CASE WHEN :new.disapproved > 0 THEN 2 ELSE 1 END,
        approvalStatusTimeStamp = SYSDATE
    WHERE changeID = :new.changeID;
  END IF;

END;
*/


CREATE OR REPLACE TRIGGER trg_insertActionPlan_after_executionResult_update
AFTER UPDATE OF executionResultID ON Change
FOR EACH ROW
DECLARE
  v_actionPlan CHAR(1);
  v_responsibleID Person.personID%TYPE;
BEGIN

  -- Comprobar si se requiere un plan de acción
  SELECT actionPlan INTO v_actionPlan FROM ExecutionResult WHERE executionResultID = :new.executionResultID;

  IF v_actionPlan = 'Y' THEN
    -- Identificar responsable técnico del cambio 
    SELECT CASE WHEN substituteID IS NULL THEN usualID ELSE substituteID END INTO v_responsibleID
    FROM ChangeApprover WHERE changeID = :old.changeID AND rolID = 1;

    INSERT INTO ChangeActionPlan (changeID, opened, closing, responsibleID)
    VALUES (:new.changeID, SYSDATE, SYSDATE + 2, v_responsibleID);
  END IF;

END;


