--En el momento de ejecutar la consulta, número de cambios registrados en el sistema que están en proceso de aprobación
SELECT * FROM StatisticChangesInApprovalProcess;

--En el último año, número de cambios aprobados cuya ejecución no haya sido correcta
SELECT numNotSucceedExecutionsPreviousYear FROM StatisticNotSucceedExecutionsLastYear;

--Teniendo en cuenta toda la información existente en la BD, responsable técnico con más cambios ejecutados de manera correcta
SELECT givenName || ' ' || familyName AS "Responsable técnico", numCorrectExecutions
FROM StatisticTopTechnicalManagerCorrectExecutions s
JOIN Person p ON s.technicalManagerID = p.personID
ORDER BY numCorrectExecutions FETCH FIRST 1 ROW ONLY;

--Dado un año concreto, porcentaje de acciones definidas para ejecuciones no correctas cerradas en el tiempo inicialmente definido en el plan de acción correspondiente
SELECT year "Año", onTimeActionPlanLines / totalActionPlanLines * 100 AS "% acciones" FROM StatisticClosedActionPlanLinesOnTimePercentageYear WHERE year = :year;

--En el año en curso, número total de cambios aprobados en la GCAB
SELECT * FROM StatisticGCABApprovalsCurrentYear;

--En un año concreto, número de cambios que no fueron aprobados y, consecuentemente, no se ejecutaron
SELECT year "Año", numDisapprovedChanges "# no aprobados" FROM StatisticDisapprovedChangesYear WHERE year = :year;

--Dada una región geográfica concreta, porcentaje de cambios que su ejecución se replanificó
SELECT name, replannedExecution / totalExecution * 100 "% replanificados"
FROM StatisticReplannedChangesPercentageRegion s
JOIN geographicZone g ON s.geographicZoneID = g.geographicZoneID
WHERE s.geographicZoneID = :geographicZoneID;

--En los últimos 6 meses, número total de incumplimientos detectados durante las auditorías realizadas
SELECT month1 + month2 + month3 + month4 + month5 + month6 Incumplimientos FROM StatisticNonCompliancesSixMonths;

--En el momento de ejecutar la consulta, número total de planes de acción sobre ejecuciones no correctas que están abiertos
SELECT * FROM StatisticOpenedActionPlans;

--En un momento dado, responsable técnico con más cambios en curso
SELECT givenName || ' ' || familyName AS "Responsable técnico", numChangesInProgress
FROM StatisticTopTechnicalManagerChangesInProgress s
JOIN Person p ON s.technicalManagerID = p.personID
ORDER BY numChangesInProgress FETCH FIRST 1 ROW ONLY;

--Teniendo en cuenta todos los datos de la BD, persona concreta con rol de aprobador que ha estado sustituida más veces por indisponibilidad no planificada
SELECT givenName || ' ' || familyName AS "Aprobador/a", numSubstitutions
FROM StatisticSubstitutionApprover s
JOIN Person p ON s.personID = p.personID
ORDER BY s.personID FETCH FIRST 1 ROW ONLY;
